<?php
namespace Claromentis\Search\EmptySearch\Model;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("i" . "d" => base64_decode("aW" . "Q="), "ke" . "yw" . "or" . "ds" => base64_decode("a2V5" . "d29y" . "ZHM="), "_c261da155a5b4c08fbbfc94c9" . "c7a9d5f" => base64_decode("ZW1wdHl" . "fc2Vhcm" . "No"), "use" . "r_i" . "d" => base64_decode("dXNlcl9pZA" . "=="), "_aa7e860da1acd4e7" . "67e0df9d7d407380" => base64_decode("ZGF0ZV" . "9jcmVh" . "dGVk"));
use ActiveRecord;
use ObjectsStorage;









class EmptySearchModel extends ActiveRecord
{
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c261da155a5b4" . "c08fbbfc94c9c7" . "a9d5f"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["user_i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_aa7e860da1acd4e767e" . "0df9d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["ke" . "yw" . "or" . "ds"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function SetUserId($user_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["user_" . "id"], $user_id);
    }
    
    
    
    
    public function SetDate($_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_aa7e860da1acd4e767e0df9d7d40738" . "0"], $_67a0d624aebcceb0abd5ce56a53ff06f);
    }
    
    
    
    
    public function SetKeywords($keywords)
    {
        $this->SetProperty($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["key" . "wor" . "ds"], $keywords);
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["user" . "_id"]);
    }
    
    
    
    
    public function GetDate()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_aa7e860da1acd4e767e0df9d7d4" . "07380"]);
    }
    
    
    
    
    public function GetKeywords()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["keywo" . "rds"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return \User::GetNameById($this->GetUserId());
    }
    
    
    
    
    public function GetProfileUrl()
    {
        return \User::GetProfileUrl($this->GetUserId());
    }
}